"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MarkdownHints = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const uikit_1 = require("@gravity-ui/uikit");
const md_hints_1 = require("../../../i18n/md-hints/index.js");
const classname_1 = require("../../../classname.js");
require("./MarkdownHints.css");
const b = (0, classname_1.cn)('markdown-hints');
exports.MarkdownHints = (0, react_1.memo)(function MarkdownHints() {
    const hints = [
        { title: (0, md_hints_1.i18n)('header_title'), hint: (0, md_hints_1.i18n)('header_hint') },
        { title: (0, md_hints_1.i18n)('italic_title'), hint: (0, md_hints_1.i18n)('italic_hint') },
        { title: (0, md_hints_1.i18n)('bold_title'), hint: (0, md_hints_1.i18n)('bold_hint') },
        { title: (0, md_hints_1.i18n)('strikethrough_title'), hint: (0, md_hints_1.i18n)('strikethrough_hint') },
        { title: (0, md_hints_1.i18n)('blockquote_title'), hint: (0, md_hints_1.i18n)('blockquote_hint') },
        { title: (0, md_hints_1.i18n)('code_title'), hint: (0, md_hints_1.i18n)('code_hint') },
        { title: (0, md_hints_1.i18n)('link_title'), hint: (0, md_hints_1.i18n)('link_hint') },
        { title: (0, md_hints_1.i18n)('image_title'), hint: (0, md_hints_1.i18n)('image_hint') },
        { title: (0, md_hints_1.i18n)('list_title'), hint: (0, md_hints_1.i18n)('list_hint') },
        { title: (0, md_hints_1.i18n)('numbered-list_title'), hint: (0, md_hints_1.i18n)('numbered-list_hint') },
    ];
    return ((0, jsx_runtime_1.jsxs)("div", { className: b(), children: [(0, jsx_runtime_1.jsx)("div", { className: b('grid'), children: hints.map((hint, index) => ((0, jsx_runtime_1.jsxs)(react_1.Fragment, { children: [(0, jsx_runtime_1.jsx)("span", { className: b('title'), children: hint.title }), (0, jsx_runtime_1.jsx)("span", { className: b('hint'), children: hint.hint })] }, `md-hint-${index}`))) }), (0, jsx_runtime_1.jsx)(uikit_1.Link, { href: (0, md_hints_1.i18n)('documentation_link'), target: "_blank", className: b('docs-link'), children: (0, md_hints_1.i18n)('documentation') })] }));
});
exports.MarkdownHints.displayName = 'MarkdownHints';
//# sourceMappingURL=MarkdownHints.js.map
