"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ParserTokensRegistry = void 0;
const MarkdownParser_1 = require("./markdown/MarkdownParser.js");
class ParserTokensRegistry {
    #tokens = {};
    #logger;
    constructor(opts) {
        this.#logger = opts.logger;
    }
    addToken(name, token) {
        this.#tokens[name] = token;
        return this;
    }
    createParser(schema, tokenizer, pmTransformers, dynamicModifier) {
        return new MarkdownParser_1.MarkdownParser(schema, tokenizer, this.#tokens, {
            logger: this.#logger,
            pmTransformers,
            dynamicModifier,
        });
    }
}
exports.ParserTokensRegistry = ParserTokensRegistry;
//# sourceMappingURL=ParserTokensRegistry.js.map
