import type { ExtensionAuto } from "../../core/index.js";
import type { PlaceholderOptions } from "../../utils/placeholder.js";
import { type ClipboardOptions } from "./Clipboard/index.js";
import { type CommandMenuOptions } from "./CommandMenu/index.js";
import { type CursorOptions } from "./Cursor/index.js";
import { type HistoryOptions } from "./History/index.js";
import { type ReactRenderer } from "./ReactRenderer/index.js";
import { type SelectionContextOptions } from "./SelectionContext/index.js";
export * from "./ClicksOnEdges/index.js";
export * from "./Clipboard/index.js";
export * from "./CommandMenu/index.js";
export * from "./Cursor/index.js";
export * from "./FilePaste/index.js";
export * from "./History/index.js";
export * from "./Placeholder/index.js";
export * from "./ReactRenderer/index.js";
export * from "./Selection/index.js";
export * from "./SelectionContext/index.js";
export * from "./WidgetDecoration/index.js";
export type BehaviorPresetOptions = {
    cursor?: CursorOptions;
    history?: HistoryOptions;
    clipboard?: ClipboardOptions;
    placeholder?: PlaceholderOptions;
    reactRenderer: ReactRenderer;
    selectionContext?: SelectionContextOptions;
    commandMenu?: CommandMenuOptions;
};
export declare const BehaviorPreset: ExtensionAuto<BehaviorPresetOptions>;
