import type { Node } from 'prosemirror-model';
import type { EditorView } from 'prosemirror-view';
import { type FileUploadHandler, type UploadSuccessItem } from "../../../../utils/index.js";
import { FilesBatchUploadProcess } from "../../../behavior/utils/upload.js";
import { type CreateImageNodeOptions } from "../utils.js";
import { ImageSkeletonDescriptor } from "./skeleton.js";
export declare class ImagesUploadProcess extends FilesBatchUploadProcess {
    protected readonly createImage: ({ result, file }: UploadSuccessItem) => Promise<Node>;
    protected readonly initPosition: number;
    private readonly enableNewImageSizeCalculation?;
    constructor(view: EditorView, files: readonly File[], uploadHandler: FileUploadHandler, position: number, opts: CreateImageNodeOptions);
    protected createSkeleton(): Promise<ImageSkeletonDescriptor>;
    protected createPMNode(res: UploadSuccessItem): Promise<Node>;
}
