import { type ImageFormProps, type ImageFormSubmitParams } from "../../../../forms/ImageForm.js";
import "./view.css";
export type RenderImageWidgetFormProps = {
    /** Handler for submitting form */
    onSubmit: (params: ImageFormSubmitParams) => void;
    /** Handler for cancellation */
    onCancel: () => void;
    /** Handler for attach file from device */
    onAttach?: (files: File[]) => void;
    /** Uploading attached file */
    uploading?: boolean;
};
export type RenderImageWidgetFormFn = (props: RenderImageWidgetFormProps) => React.ReactNode;
export type ImagePlaceholderProps = {
    onCancel: () => void;
    onSubmit: ImageFormProps['onSubmit'];
    onAttach?: (files: File[]) => Promise<void>;
    renderForm?: RenderImageWidgetFormFn;
};
export declare const ImagePlaceholder: React.FC<ImagePlaceholderProps>;
