import type { Action, ExtensionAuto } from "../../../core/index.js";
import { type ImagePasteOptions } from "./ImagePaste/index.js";
import { type ImageWidgetOptions } from "./ImageWidget/index.js";
import { type ImgSizeSpecsOptions } from "./ImgSizeSpecs/index.js";
import { type AddImageAttrs } from "./actions.js";
import { addImageAction } from "./const.js";
export type ImgSizeOptions = ImgSizeSpecsOptions & {
    /**
     * If we need to set dimensions for uploaded images
     *
     * @default false
     */
    needToSetDimensionsForUploadedImages?: boolean;
} & Pick<ImagePasteOptions, 'imageUploadHandler' | 'parseInsertedUrlAsImage' | 'enableNewImageSizeCalculation'> & Pick<ImageWidgetOptions, 'renderImageWidgetForm'>;
export declare const ImgSize: ExtensionAuto<ImgSizeOptions>;
declare global {
    namespace WysiwygEditor {
        interface Actions {
            [addImageAction]: Action<AddImageAttrs>;
        }
    }
}
