import type { Node, NodeType } from 'prosemirror-model';
import { type Logger2 } from "../../../logger.js";
import { type UploadSuccessItem } from "../../../utils/index.js";
import { ImgSizeAttr } from "../../specs.js";
export declare function isImageNode(node: Node): boolean;
export type CreateImageNodeOptions = {
    needDimensions: boolean;
    enableNewImageSizeCalculation?: boolean;
};
export declare const createImageNode: (imgType: NodeType, opts: CreateImageNodeOptions, logger: Logger2.ILogger) => ({ result, file }: UploadSuccessItem) => Promise<Node>;
export declare function loadImage(imgFile: File): Promise<HTMLImageElement>;
export declare function getImageSize(img: HTMLImageElement): {
    [ImgSizeAttr.Height]?: string;
};
export declare function getImageSizeNew({ width, height }: HTMLImageElement): {
    [ImgSizeAttr.Width]?: string;
    [ImgSizeAttr.Height]?: string;
};
