"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.YfmSpecsPreset = void 0;
const specs_1 = require("../extensions/specs.js");
const specs_2 = require("../extensions/yfm/specs.js");
const default_specs_1 = require("./default-specs.js");
const YfmSpecsPreset = (builder, opts) => {
    builder.use(default_specs_1.DefaultSpecsPreset, { ...opts, image: false, heading: false });
    builder
        .use(specs_1.DeflistSpecs, opts.deflist ?? {})
        .use(specs_1.SubscriptSpecs)
        .use(specs_1.SuperscriptSpecs)
        .use(specs_1.UnderlineSpecs)
        .use(specs_2.CheckboxSpecs, opts.checkbox ?? {})
        .use(specs_2.ImgSizeSpecs, opts.imgSize ?? {})
        .use(specs_2.MonospaceSpecs)
        .use(specs_2.VideoSpecs, opts.video ?? {})
        .use(specs_2.YfmConfigsSpecs, opts.yfmConfigs ?? {})
        .use(specs_2.YfmCutSpecs, opts.yfmCut ?? {})
        .use(specs_2.YfmNoteSpecs, opts.yfmNote ?? {})
        .use(specs_2.YfmFileSpecs)
        .use(specs_2.YfmHeadingSpecs, opts.yfmHeading ?? {})
        .use(specs_2.YfmTableSpecs, opts.yfmTable ?? {})
        .use(specs_2.YfmTabsSpecs, opts.yfmTabs ?? {});
};
exports.YfmSpecsPreset = YfmSpecsPreset;
//# sourceMappingURL=yfm-specs.js.map
