"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.YfmPreset = void 0;
const markdown_1 = require("../extensions/markdown/index.js");
const yfm_1 = require("../extensions/yfm/index.js");
const default_1 = require("./default.js");
const YfmPreset = (builder, opts) => {
    builder.use(default_1.DefaultPreset, { ...opts, image: false, heading: false });
    builder
        .use(markdown_1.Deflist, opts.deflist ?? {})
        .use(markdown_1.Subscript)
        .use(markdown_1.Superscript)
        .use(markdown_1.Underline, opts.underline ?? {})
        .use(yfm_1.Checkbox, opts.checkbox ?? {})
        .use(yfm_1.ImgSize, opts.imgSize ?? {})
        .use(yfm_1.Monospace)
        .use(yfm_1.Video, opts.video ?? {})
        .use(yfm_1.YfmConfigs, opts.yfmConfigs ?? {})
        .use(yfm_1.YfmCut, opts.yfmCut ?? {})
        .use(yfm_1.YfmNote, opts.yfmNote ?? {})
        .use(yfm_1.YfmFile, opts.yfmFile ?? {})
        .use(yfm_1.YfmHeading, opts.yfmHeading ?? {})
        .use(yfm_1.YfmTable, opts.yfmTable ?? {})
        .use(yfm_1.YfmTabs);
};
exports.YfmPreset = YfmPreset;
//# sourceMappingURL=yfm.js.map
