import type { ClassNameProps } from "../classname.js";
import { type ToolbarData, type ToolbarItemData } from "../toolbar/index.js";
import type { EditorInt } from "./Editor.js";
import type { MarkdownEditorMode } from "./types.js";
export type ToolbarViewProps<T> = ClassNameProps & {
    editor: EditorInt;
    editorMode: MarkdownEditorMode;
    toolbarEditor: T;
    toolbarFocus: () => void;
    toolbarConfig: ToolbarData<T>;
    settingsVisible?: boolean;
    hiddenActionsConfig?: ToolbarItemData<T>[];
    children?: React.ReactNode;
    stickyToolbar: boolean;
};
export declare function ToolbarView<T>({ editor, editorMode, toolbarEditor, toolbarFocus, toolbarConfig, hiddenActionsConfig, settingsVisible, className, children, stickyToolbar, }: ToolbarViewProps<T>): JSX.Element;
