import { type ClassNameProps } from "../../classname.js";
import type { MarkdownEditorMode, MarkdownEditorSplitMode } from "../types.js";
import "./index.css";
export type EditorSettingsProps = Omit<SettingsContentProps, 'onClose'> & {
    renderPreviewButton?: boolean;
    settingsVisible?: boolean;
};
export declare const EditorSettings: import("react").NamedExoticComponent<EditorSettingsProps>;
type SettingsContentProps = ClassNameProps & {
    mode: MarkdownEditorMode;
    onClose: () => void;
    onModeChange: (mode: MarkdownEditorMode) => void;
    onShowPreviewChange: (showPreview: boolean) => void;
    showPreview: boolean;
    toolbarVisibility: boolean;
    onToolbarVisibilityChange: (val: boolean) => void;
    splitMode?: MarkdownEditorSplitMode;
    splitModeEnabled?: boolean;
    onSplitModeChange?: (splitModeEnabled: boolean) => void;
};
export {};
