import { MarkdownParser } from "./markdown/MarkdownParser.js";
export class ParserTokensRegistry {
    #tokens = {};
    #logger;
    constructor(opts) {
        this.#logger = opts.logger;
    }
    addToken(name, token) {
        this.#tokens[name] = token;
        return this;
    }
    createParser(schema, tokenizer, pmTransformers, dynamicModifier) {
        return new MarkdownParser(schema, tokenizer, this.#tokens, {
            logger: this.#logger,
            pmTransformers,
            dynamicModifier,
        });
    }
}
//# sourceMappingURL=ParserTokensRegistry.js.map
