import { MarkdownSerializer } from "./markdown/MarkdownSerializer.js";
export class SerializerTokensRegistry {
    #nodes = {};
    #marks = {};
    addNode(name, node) {
        this.#nodes[name] = node;
        return this;
    }
    addMark(name, mark) {
        this.#marks[name] = mark;
        return this;
    }
    createSerializer(dynamicModifier) {
        return new MarkdownSerializer(this.#nodes, this.#marks, dynamicModifier);
    }
}
//# sourceMappingURL=SerializerTokensRegistry.js.map
