import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { HelpMark, Link, Portal } from '@gravity-ui/uikit';
import { cn } from "../../../classname.js";
import { i18n } from "../../../i18n/math-hint/index.js";
export const b = cn('MathHint');
const MathHintContent = function MathHintContent() {
    return (_jsxs(_Fragment, { children: [i18n('math_hint'), ' ', _jsx(Link, { href: 'https://katex.org/', target: 'blank', children: i18n('math_hint_katex') })] }));
};
const MathHint = function MathHint(props) {
    return (_jsx(HelpMark, { popoverProps: {
            placement: ['bottom-end', 'top-end'],
            modal: false,
            ...props,
        }, children: _jsx(MathHintContent, {}) }));
};
export function renderMathHint(props, container) {
    return (_jsx(Portal, { container: container, children: _jsx(MathHint, { ...props }) }));
}
//# sourceMappingURL=hint.js.map
