import type { ExtensionAuto, ExtensionDeps } from "../../../core/index.js";
import type { AutocompleteItem } from "./types.js";
export { openAutocomplete, closeAutocomplete } from 'prosemirror-autocomplete';
export declare const AutocompleteDecoClassName = "autocomplete";
export type AutocompleteItemFn = (deps: ExtensionDeps) => AutocompleteItem;
export * from "./types.js";
type Storage = {
    add(item: AutocompleteItem | AutocompleteItemFn): Storage;
};
/**
 * This extension is wrapper of _prosemirror-autocomplete_
 * You only need to use it once.
 * Don't add this extension many times with different options.
 * Don't import anything from the _prosemirror-autocomplete_ source package.
 * Everything you need is exported from this module.
 */
export declare const Autocomplete: ExtensionAuto;
declare global {
    namespace WysiwygEditor {
        interface Context {
            autocomplete: Storage;
        }
    }
}
