import { ClicksOnEdges } from "./ClicksOnEdges/index.js";
import { Clipboard } from "./Clipboard/index.js";
import { CommandMenu } from "./CommandMenu/index.js";
import { Cursor } from "./Cursor/index.js";
import { FilePaste } from "./FilePaste/index.js";
import { History } from "./History/index.js";
import { Placeholder } from "./Placeholder/index.js";
import { ReactRendererExtension } from "./ReactRenderer/index.js";
import { Selection } from "./Selection/index.js";
import { SelectionContext } from "./SelectionContext/index.js";
import { WidgetDecoration } from "./WidgetDecoration/index.js";
export * from "./ClicksOnEdges/index.js";
export * from "./Clipboard/index.js";
export * from "./CommandMenu/index.js";
export * from "./Cursor/index.js";
export * from "./FilePaste/index.js";
export * from "./History/index.js";
export * from "./Placeholder/index.js";
export * from "./ReactRenderer/index.js";
export * from "./Selection/index.js";
export * from "./SelectionContext/index.js";
export * from "./WidgetDecoration/index.js";
export const BehaviorPreset = (builder, opts) => {
    builder
        .use(Selection)
        .use(Placeholder, opts.placeholder ?? {})
        .use(Cursor, opts.cursor ?? {})
        .use(History, opts.history ?? {})
        .use(Clipboard, opts.clipboard ?? {})
        .use(ReactRendererExtension, opts.reactRenderer)
        .use(WidgetDecoration)
        .use(SelectionContext, opts.selectionContext ?? {});
    if (opts.commandMenu)
        builder.use(CommandMenu, opts.commandMenu);
    builder.use(FilePaste);
    builder.use(ClicksOnEdges);
};
//# sourceMappingURL=index.js.map
