import { isFunction } from "../../../lodash.js";
import { ImageSpecs } from "./ImageSpecs/index.js";
import { addImage } from "./actions.js";
import { addImageAction } from "./const.js";
import { imageUrlPaste } from "./imageUrlPaste/index.js";
export { imageNodeName, imageType, ImageAttr } from "./ImageSpecs/index.js";
export const Image = (builder, opts) => {
    builder.use(ImageSpecs);
    builder.addAction(addImageAction, ({ schema }) => addImage(schema));
    if (isFunction(opts?.parseInsertedUrlAsImage)) {
        builder.use(imageUrlPaste, {
            parseInsertedUrlAsImage: opts.parseInsertedUrlAsImage,
        });
    }
};
//# sourceMappingURL=index.js.map
