import { liftListItem, sinkListItem } from 'prosemirror-schema-list';
import { toList } from "./commands.js";
import { ListNode } from "./const.js";
import { blType, isIntoListOfType, liType, olType } from "./utils.js";
export const actions = {
    toBulletList: ({ schema }) => {
        const toBulletList = toList(blType(schema));
        return {
            isActive: isIntoListOfType(ListNode.BulletList),
            isEnable: toBulletList,
            run: toBulletList,
        };
    },
    toOrderedList: ({ schema }) => {
        const toOrderedList = toList(olType(schema));
        return {
            isActive: isIntoListOfType(ListNode.OrderedList),
            isEnable: toOrderedList,
            run: toOrderedList,
        };
    },
    liftListItem: ({ schema }) => {
        return {
            isEnable: liftListItem(liType(schema)),
            run: liftListItem(liType(schema)),
        };
    },
    sinkListItem: ({ schema }) => {
        return {
            isEnable: sinkListItem(liType(schema)),
            run: sinkListItem(liType(schema)),
        };
    },
};
//# sourceMappingURL=actions.js.map
