import { createToggleMarkAction } from "../../../utils/actions.js";
import { markInputRule } from "../../../utils/inputrules.js";
import { MarkSpecs, markMarkType } from "./MarkSpecs/index.js";
export { markMarkName, markMarkType } from "./MarkSpecs/index.js";
const mAction = 'mark';
export const Mark = (builder) => {
    builder.use(MarkSpecs);
    builder
        .addAction(mAction, ({ schema }) => createToggleMarkAction(markMarkType(schema)))
        .addInputRules(({ schema }) => ({
        rules: [
            markInputRule({ open: '==', close: '==', ignoreBetween: '=' }, markMarkType(schema)),
        ],
    }));
};
//# sourceMappingURL=index.js.map
