import { createToggleMarkAction } from "../../../utils/actions.js";
import { markInputRule } from "../../../utils/inputrules.js";
import { SubscriptSpecs, subscriptType } from "./SubscriptSpecs/index.js";
export { subscriptMarkName, subscriptType } from "./SubscriptSpecs/index.js";
const subAction = 'subscript';
export const Subscript = (builder) => {
    builder.use(SubscriptSpecs);
    builder
        .addAction(subAction, ({ schema }) => createToggleMarkAction(subscriptType(schema)))
        .addInputRules(({ schema }) => ({
        rules: [
            markInputRule({ open: '~', close: '~', ignoreBetween: '~' }, subscriptType(schema)),
        ],
    }));
};
//# sourceMappingURL=index.js.map
