import type { Action, ExtensionAuto } from "../../../../core/index.js";
import type { FileUploadHandler } from "../../../../utils/upload.js";
import type { RenderImageWidgetFormFn } from "./view.js";
import type { ImageWidgetDescriptorOpts } from "./widget.js";
declare const addImageWidgetAction = "addImageWidget";
export type ImageWidgetOptions = Pick<ImageWidgetDescriptorOpts, 'needToSetDimensionsForUploadedImages' | 'enableNewImageSizeCalculation'> & {
    imageUploadHandler?: FileUploadHandler;
    renderImageWidgetForm?: RenderImageWidgetFormFn;
};
export declare const ImageWidget: ExtensionAuto<ImageWidgetOptions>;
declare global {
    namespace WysiwygEditor {
        interface Actions {
            [addImageWidgetAction]: Action;
        }
    }
}
export {};
