import { createToggleMarkAction } from "../../../utils/actions.js";
import { markInputRule } from "../../../utils/inputrules.js";
import { MonospaceSpecs, monospaceType } from "./MonospaceSpecs/index.js";
export { monospaceMarkName, monospaceType } from "./MonospaceSpecs/index.js";
const monoAction = 'mono';
export const Monospace = (builder) => {
    builder.use(MonospaceSpecs);
    builder
        .addAction(monoAction, ({ schema }) => createToggleMarkAction(monospaceType(schema)))
        .addInputRules(({ schema }) => ({
        rules: [
            markInputRule({ open: '##', close: '##', ignoreBetween: '#' }, monospaceType(schema)),
        ],
    }));
};
//# sourceMappingURL=index.js.map
