import { DeflistSpecs, SubscriptSpecs, SuperscriptSpecs, UnderlineSpecs, } from "../extensions/specs.js";
import { CheckboxSpecs, ImgSizeSpecs, MonospaceSpecs, VideoSpecs, YfmConfigsSpecs, YfmCutSpecs, YfmFileSpecs, YfmHeadingSpecs, YfmNoteSpecs, YfmTableSpecs, YfmTabsSpecs, } from "../extensions/yfm/specs.js";
import { DefaultSpecsPreset } from "./default-specs.js";
export const YfmSpecsPreset = (builder, opts) => {
    builder.use(DefaultSpecsPreset, { ...opts, image: false, heading: false });
    builder
        .use(DeflistSpecs, opts.deflist ?? {})
        .use(SubscriptSpecs)
        .use(SuperscriptSpecs)
        .use(UnderlineSpecs)
        .use(CheckboxSpecs, opts.checkbox ?? {})
        .use(ImgSizeSpecs, opts.imgSize ?? {})
        .use(MonospaceSpecs)
        .use(VideoSpecs, opts.video ?? {})
        .use(YfmConfigsSpecs, opts.yfmConfigs ?? {})
        .use(YfmCutSpecs, opts.yfmCut ?? {})
        .use(YfmNoteSpecs, opts.yfmNote ?? {})
        .use(YfmFileSpecs)
        .use(YfmHeadingSpecs, opts.yfmHeading ?? {})
        .use(YfmTableSpecs, opts.yfmTable ?? {})
        .use(YfmTabsSpecs, opts.yfmTabs ?? {});
};
//# sourceMappingURL=yfm-specs.js.map
