import { Deflist, Subscript, Superscript, Underline, } from "../extensions/markdown/index.js";
import { Checkbox, ImgSize, Monospace, Video, YfmConfigs, YfmCut, YfmFile, YfmHeading, YfmNote, YfmTable, YfmTabs, } from "../extensions/yfm/index.js";
import { DefaultPreset } from "./default.js";
export const YfmPreset = (builder, opts) => {
    builder.use(DefaultPreset, { ...opts, image: false, heading: false });
    builder
        .use(Deflist, opts.deflist ?? {})
        .use(Subscript)
        .use(Superscript)
        .use(Underline, opts.underline ?? {})
        .use(Checkbox, opts.checkbox ?? {})
        .use(ImgSize, opts.imgSize ?? {})
        .use(Monospace)
        .use(Video, opts.video ?? {})
        .use(YfmConfigs, opts.yfmConfigs ?? {})
        .use(YfmCut, opts.yfmCut ?? {})
        .use(YfmNote, opts.yfmNote ?? {})
        .use(YfmFile, opts.yfmFile ?? {})
        .use(YfmHeading, opts.yfmHeading ?? {})
        .use(YfmTable, opts.yfmTable ?? {})
        .use(YfmTabs);
};
//# sourceMappingURL=yfm.js.map
