import { type ComponentType, type RefAttributes } from 'react';
import { useMermaid } from '@diplodoc/mermaid-extension/react';
import type { PluginRuntime, TransformMeta } from "./types.js";
export type MermaidConfig = Parameters<ReturnType<typeof useMermaid>>[0];
export type WithMermaidOptions = {
    runtime: PluginRuntime;
};
export type WithMermaidProps = {
    meta: TransformMeta;
    mermaidConfig: MermaidConfig;
};
export declare function withMermaid(opts: WithMermaidOptions): <T extends {
    html: string;
}>(Component: ComponentType<T & RefAttributes<HTMLDivElement>>) => import("react").ForwardRefExoticComponent<import("react").PropsWithoutRef<T & WithMermaidProps> & RefAttributes<HTMLDivElement>>;
